Apache log4cxx Version 0.10.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
OptionHandler Class Referenceabstract

A string based interface to configure package components. More...

Inherits Object.

Inherited by Appender`[virtual]`, Layout`[virtual]`, RollingPolicy`[virtual]`, TriggeringPolicy`[virtual]`, ErrorHandler`[virtual]`, and Filter`[virtual]`.

## Public Member Functions
virtual | ~OptionHandler ()
virtual void | activateOptions (log4cxx::helpers::Pool &p)=0
| Activate the options that were previously set with calls to option setters. More...
virtual void | setOption (const LogString &option, const LogString &value)=0
| Set `option` to `value`. More...
Public Member Functions inherited from Object
virtual const helpers::Class & | getClass () const
virtual | ~Object ()
virtual void | addRef () const =0
virtual void | releaseRef () const =0
virtual bool | instanceof (const Class &clazz) const =0
virtual const void * | cast (const Class &clazz) const =0

## Additional Inherited Members
Static Public Member Functions inherited from Object
static const helpers::Class & | getStaticClass ()
static const log4cxx::helpers::ClassRegistration & | registerClass ()

## Detailed Description

A string based interface to configure package components.

## Constructor & Destructor Documentation

virtual ~OptionHandler | ( |  | ) |
| inline virtual

## Member Function Documentation

virtual void activateOptions | ( | log4cxx::helpers::Pool & | p | ) |
| pure virtual

Activate the options that were previously set with calls to option setters.

This allows to defer activiation of the options until all options have been set. This is required for components which have related options that remain ambigous until all are set.

For example, the FileAppender has the File and Append options both of which are ambigous until the other is also set.

Implemented in PatternLayout, DailyRollingFileAppender, ODBCAppender, TimeBasedRollingPolicy, FileAppender, SocketHubAppender, Filter, XMLLayout, FilterBasedTriggeringPolicy, AppenderSkeleton, ExpressionFilter, RollingFileAppender, SMTPAppender, HTMLLayout, TelnetAppender, WriterAppender, FixedWindowRollingPolicy, RollingPolicyBase, SizeBasedTriggeringPolicy, SimpleLayout, FallbackErrorHandler, SyslogAppender, SocketAppenderSkeleton, OnlyOnceErrorHandler, RollingFileAppenderSkeleton, ManualTriggeringPolicy, ConsoleAppender, LocationInfoFilter, DateLayout, and NTEventLogAppender.

virtual void setOption | ( | const LogString & | option,
|  | const LogString & | value
| ) |  |
| pure virtual

Set `option` to `value`.

The handling of each option depends on the OptionHandler instance. Some options may become active immediately whereas other may be activated only when activateOptions is called.

Implemented in PatternLayout, DailyRollingFileAppender, AsyncAppender, WriterAppender, ODBCAppender, FileAppender, SocketAppenderSkeleton, SocketHubAppender, Filter, XMLLayout, FilterBasedTriggeringPolicy, AppenderSkeleton, HTMLLayout, TelnetAppender, RollingFileAppender, SMTPAppender, FixedWindowRollingPolicy, RollingPolicyBase, LevelRangeFilter, SizeBasedTriggeringPolicy, SimpleLayout, FallbackErrorHandler, SyslogAppender, LevelMatchFilter, OnlyOnceErrorHandler, StringMatchFilter, ManualTriggeringPolicy, ConsoleAppender, NTEventLogAppender, and DateLayout.

The documentation for this class was generated from the following file:

- optionhandler.h